org.jboss.jca.core.tx.noopts

## Class TransactionManagerImpl

- java.lang.Object
- - org.jboss.jca.core.tx.noopts.TransactionManagerImpl

- All Implemented Interfaces:
    java.io.Serializable, javax.transaction.TransactionManager

      public class TransactionManagerImpl
      extends java.lang.Object
      implements javax.transaction.TransactionManager, java.io.Serializable

  A transaction manager implementation
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionManagerImpl()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin()`
    `void` | `commit()`
    `int` | `getStatus()`
    `javax.transaction.Transaction` | `getTransaction()`
    `void` | `resume(javax.transaction.Transaction tobj)`
    `void` | `rollback()`
    `void` | `setRegistry(TxRegistry v)` Set the registry
    `void` | `setRollbackOnly()`
    `void` | `setTransactionTimeout(int seconds)`
    `void` | `start()` Start
    `void` | `stop()` Stop
    `javax.transaction.Transaction` | `suspend()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionManagerImpl

          public TransactionManagerImpl()

      Constructor

  - ### Method Detail

    - #### setRegistry

          public void setRegistry(TxRegistry v)

      Set the registry
      Parameters:
        `v` - The value

    - #### begin

          public void begin()
                     throws javax.transaction.NotSupportedException,
                            javax.transaction.SystemException

      Specified by:
        `begin` in interface `javax.transaction.TransactionManager`
      Throws:
        `javax.transaction.NotSupportedException`
        `javax.transaction.SystemException`

    - #### commit

          public void commit()
                      throws javax.transaction.RollbackException,
                             javax.transaction.HeuristicMixedException,
                             javax.transaction.HeuristicRollbackException,
                             java.lang.SecurityException,
                             java.lang.IllegalStateException,
                             javax.transaction.SystemException

      Specified by:
        `commit` in interface `javax.transaction.TransactionManager`
      Throws:
        `javax.transaction.RollbackException`
        `javax.transaction.HeuristicMixedException`
        `javax.transaction.HeuristicRollbackException`
        `java.lang.SecurityException`
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

    - #### getStatus

          public int getStatus()
                        throws javax.transaction.SystemException

      Specified by:
        `getStatus` in interface `javax.transaction.TransactionManager`
      Throws:
        `javax.transaction.SystemException`

    - #### getTransaction

          public javax.transaction.Transaction getTransaction()
                                                       throws javax.transaction.SystemException

      Specified by:
        `getTransaction` in interface `javax.transaction.TransactionManager`
      Throws:
        `javax.transaction.SystemException`

    - #### resume

          public void resume(javax.transaction.Transaction tobj)
                      throws javax.transaction.InvalidTransactionException,
                             java.lang.IllegalStateException,
                             javax.transaction.SystemException

      Specified by:
        `resume` in interface `javax.transaction.TransactionManager`
      Throws:
        `javax.transaction.InvalidTransactionException`
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

    - #### rollback

          public void rollback()
                        throws java.lang.IllegalStateException,
                               java.lang.SecurityException,
                               javax.transaction.SystemException

      Specified by:
        `rollback` in interface `javax.transaction.TransactionManager`
      Throws:
        `java.lang.IllegalStateException`
        `java.lang.SecurityException`
        `javax.transaction.SystemException`

    - #### setRollbackOnly

          public void setRollbackOnly()
                               throws java.lang.IllegalStateException,
                                      javax.transaction.SystemException

      Specified by:
        `setRollbackOnly` in interface `javax.transaction.TransactionManager`
      Throws:
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

    - #### setTransactionTimeout

          public void setTransactionTimeout(int seconds)
                                     throws javax.transaction.SystemException

      Specified by:
        `setTransactionTimeout` in interface `javax.transaction.TransactionManager`
      Throws:
        `javax.transaction.SystemException`

    - #### suspend

          public javax.transaction.Transaction suspend()
                                                throws javax.transaction.SystemException

      Specified by:
        `suspend` in interface `javax.transaction.TransactionManager`
      Throws:
        `javax.transaction.SystemException`

    - #### start

          public void start()
                     throws java.lang.Throwable

      Start
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### stop

          public void stop()
                    throws java.lang.Throwable

      Stop
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)